> For the complete documentation index, see [llms.txt](https://docs.keycloakify.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keycloakify.dev/keycloakify/v8/migration-guides/v6-greater-than-v7.md).

# v6 -> v7

Many things have changed, I invite you to have a look at the latest version of the starter to see what's up:

{% embed url="<https://github.com/codegouvfr/keycloakify-starter>" %}

The main takeway is that, now your theme source files should be located in a keycloak-theme directory somewhere in your src directory OR at the root of your directory.

Acceptable directory strucuture:

```
src/
  keycloak-theme/
    login/
    account/
    email/
    
===OR===

src/
  foo/
    bar/
      keycloak-theme/
        login/
        account/
        email/

===OR===

src/
  login/
  account/
  email/
```

You don't need to have all three variant of the theme. If you only need the login theme for example you can have only the `login` directory.\
\
If you had a`keycloak_email_theme` at the root of your project it must be move alongside the `login/` and `account/` directory.

### Step by step migration example

{% embed url="<https://github.com/codegouvfr/sill-web/commit/a6a7bfa408fedfacde41946c72c9d055736ab72b>" %}

{% embed url="<https://github.com/codegouvfr/sill-web/commit/871dbcab09f77a57a24eae899e99d163d2d3fb46>" %}

{% embed url="<https://github.com/codegouvfr/sill-web/commit/085e54d4417aa97db1441f28ce978460bceaa7c7>" %}

{% embed url="<https://github.com/codegouvfr/sill-web/commit/adf5d7779d62f22ec7f617aa0a095865bc72ce96>" %}

If you experience issues upgrading to v7 do not hesitate to [ask for help](https://github.com/InseeFrLab/keycloakify/discussions).

{% embed url="<https://cloud-iam.com/?mtm_campaign=keycloakify-deal&mtm_source=keycloakify-doc-v6-greater-than-v7>" %}
Feeling overwhelmed? Check out our exclusive sponsor's Cloud IAM consulting services to simplify your experience.
{% endembed %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keycloakify.dev/keycloakify/v8/migration-guides/v6-greater-than-v7.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
